Loading...
Searching...
No Matches
svn_auth_ssl_server_cert_info_t Struct Reference
Authentication functions

SSL server certificate information used by `SVN_AUTH_CRED_SSL_SERVER_TRUST` providers. More...

`#include <svn_auth.h>`

## Data Fields

const char * | hostname
| Primary CN.
const char * | fingerprint
| ASCII fingerprint.
const char * | valid_from
| ASCII date from which the certificate is valid.
const char * | valid_until
| ASCII date until which the certificate is valid.
const char * | issuer_dname
| DN of the certificate issuer.
const char * | ascii_cert
| Base-64 encoded DER certificate representation.

## Detailed Description

SSL server certificate information used by `SVN_AUTH_CRED_SSL_SERVER_TRUST` providers.

Definition at line 305 of file svn_auth.h.

## Field Documentation

## ascii_cert

const char* svn_auth_ssl_server_cert_info_t::ascii_cert

Base-64 encoded DER certificate representation.

Definition at line 318 of file svn_auth.h.

## fingerprint

const char* svn_auth_ssl_server_cert_info_t::fingerprint

ASCII fingerprint.

Definition at line 310 of file svn_auth.h.

## hostname

const char* svn_auth_ssl_server_cert_info_t::hostname

Primary CN.

Definition at line 308 of file svn_auth.h.

## issuer_dname

const char* svn_auth_ssl_server_cert_info_t::issuer_dname

DN of the certificate issuer.

Definition at line 316 of file svn_auth.h.

## valid_from

const char* svn_auth_ssl_server_cert_info_t::valid_from

ASCII date from which the certificate is valid.

Definition at line 312 of file svn_auth.h.

## valid_until

const char* svn_auth_ssl_server_cert_info_t::valid_until

ASCII date until which the certificate is valid.

Definition at line 314 of file svn_auth.h.

The documentation for this struct was generated from the following file:

- svn_auth.h